package idc.service.command;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import idc.model.*;

public class IdcDeffenceAddUpdateCmd implements IdcCmd{
		
	public void execute(HttpServletRequest request, HttpServletResponse response){
		
		String curPage = request.getParameter("curPage");
		if(curPage == null || curPage == ""){
			curPage = "1";
		}		
		
		String deffence_case = request.getParameter("deffence_case");
		String dadd_num = request.getParameter("dadd_num");
		String service_code = request.getParameter("service_code");
		String deffence_port = request.getParameter("deffence_port");
		String client_name = request.getParameter("client_name");
		String vpc_code = request.getParameter("vpc_code");
		String vpc_csip = request.getParameter("vpc_csip");
		String server_code = request.getParameter("server_code");
		String service_ip = request.getParameter("service_ip");
		String deffence_domain = request.getParameter("deffence_domain");
		String deffence_request_date = request.getParameter("deffence_request_date");
		String deffence_request_time = request.getParameter("deffence_request_time");
		String deffence_note = request.getParameter("deffence_note");
		
		request.setAttribute("deffence_case", deffence_case);		
		request.setAttribute("dadd_num", dadd_num);
		request.setAttribute("curPage", curPage);
		request.setAttribute("service_code", service_code);
		request.setAttribute("deffence_port", deffence_port);
		request.setAttribute("client_name", client_name);
		request.setAttribute("vpc_code", vpc_code);
		request.setAttribute("vpc_csip", vpc_csip);
		request.setAttribute("server_code", server_code);
		request.setAttribute("service_ip", service_ip);
		request.setAttribute("deffence_domain", deffence_domain);
		request.setAttribute("deffence_request_date", deffence_request_date);
		request.setAttribute("deffence_request_time", deffence_request_time);
		request.setAttribute("deffence_note", deffence_note);
		
	}

}